Is there any chance to upgrade EAP to any other version of confluence?

Hi!

Is there any workaround to upgrade 5.0-m9 to any other version of confluence?

Thank you!

4 answers

1 accepted

0 votes
Accepted answer

you cannot upgrade to beta from a milestone release...

i moved the m05 install & home directory, ran beta installer and moved back modified configuration files.

Dear C.Faysal!

I did your instructions:

  1. Stopped the confluence
  2. renamed the /opt/atlassian/confluence to confluence_old
  3. renamed the /var/atlassian/application-data/confluence to confluence_old
  4. installed the 5.0-beta3
  5. renamed the /var/atlassian/application-data/confluence to confluence_beta3
  6. renamed back the /var/atlassian/application-data/confluence_old to confluence
  7. Edited the confluence.cfg.xml buildNumber to 4052

but then i must specify my licence with the modified Server ID, but not accept my valid licence. It says it not valid licence.

Hmm thats not what i did. I just moved back previous config files. What you described is a bit too much. Is that a testing environment?
I'm going to be more detailed after my meeting finished. Stay tuned. Approx. 30min

ok lets go.

your points 1 - 4 look good.

the installer will create (by default) the following directories:

/opt/atlassian/confluence

/var/atlassian/application-data/confluence

keep them like they are...

point 5 should be

cp /var/atlassian/application-data/confluence_old/confluence.cfg.xml /var/atlassian/application-data/confluence/

in point 6 you should bring back the config files (depends on your setup) from /opt/atlassian/confluence_old to /opt/atlassian/confluence

i.e./opt/atlassian/confluence/

  • conf/server.xml
  • bin/setenv.sh
  • bin/user.sh (see below why)

as i said...it depends on what you had configured before to make confluence run using settings you need.

bringing back the previously renamed directories will mess it up.

One important thing for you to keep in mind...

if you have any firewall restrictes per user i.e. "confluence" who is running the app you will need to change back the user in bin/user.sh cause the installer checks if there is a "confluence" user on your system and will create "confluence1" if he found a match.

you will change permissions using

chown -R confluence:confluence /opt/atlassian/confluence/{work,logs,temp}

chown -R confluence:confluence /var/atlassian/application-data/confluence

if you experience some permission errors cause user confleunce1 can not access direcrories that are owned by user confluence.

try again please and let me know if everything works or you still got questions

Hello Martonk,

You should be able to move forward into the Confluence 5.0beta3. There is no way for you to move back from the EAP program to a 4.x version of Confluence. You can download the beta at the link below

http://www.atlassian.com/software/confluence/download-eap

Please let us know if you have further questions

Dear Daniel!

Thank you for the answer! After the confluence 5 will be published, can i upgrade it to it? (EAP to PROD)

I downloaded the beta3 and it says:

./atlassian-confluence-5.0-beta3-x64.bin
Unpacking JRE ...
Starting Installer ...

This will install Confluence 5.0-beta3 on your computer.
OK [o, Enter], Cancel [c]

Choose the appropriate installation or upgrade option.
Please choose one of the following:
Express Install (uses default settings) [1], Custom Install (recommended for advanced users) [2], Upgrade an existing Confluence installation [3, Enter]

Existing installation directory:
[/opt/atlassian/confluence]

You can't use the upgrader to downgrade Confluence.
Finishing installation ...

maybe i have the answer:

unless the beta 3 was published later than 5.0-m9, it seems to be later build than beta3

https://confluence.atlassian.com/display/JIRA/JIRA+5.0+Beta+3+Release+Notes:

JIRA 5.0 Beta 3 (a.k.a 5.0 milestone 8 or 'm8')

That's why i can't upgrade from 5.0-m9 to 5.0-beta3, please somebody confirm it: am i right?

Dear C.Faysal!

Thank you for your time and effort. Everything worked like charm. These more steps i needed to take:

  • Rebuild index
  • move /var/atlassian/application-data/confluence_old/attachments to the new confluence dir
  • move /var/atlassian/application-data/confluence_old/bundled-plugins to the new confluence dir
  • move /var/atlassian/application-data/confluence_old/thumbnails to the new confluence dir

yeah great you managed it. enjoy the 5 beta :)

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Oct 24, 2018 in Confluence

Atlassian Research opportunity with Confluence templates

Do you use templates with Confluence? Take part in a remote 1-hr workshop. You'll receive USD $100 for your time!   We're looking for people to participate in a   remote 1-hr workshop...

1,144 views 20 14
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you